
#
# Copyright (c) 1999
#      GMRS Software GmbH, Innsbrucker Ring 159, 81669 Munich, Germany.
#      http://www.gmrs.de
#      All rights reserved.
#      Author: Arno Unkrig (arno.unkrig@gmrs.de)
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
#      This product includes software developed by GMRS Software GmbH.
# 4. The name of GMRS Software GmbH may not be used to endorse or promote
#    products derived from this software without specific prior written
#    permission.
#
# THIS SOFTWARE IS PROVIDED BY GMRS SOFTWARE GMBH ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL GMRS SOFTWARE GMBH BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#

# $Id: Makefile.in,v 1.5 1999/11/23 19:35:47 arno Exp $

CXX = @CXX@
BOOL_DEFINITION = @BOOL_DEFINITION@
EXPLICIT = @EXPLICIT@
AR = ar
MAKEDEPEND_INCLUDES = @MAKEDEPEND_INCLUDES@

DEBUG = -O

INCLUDES = -I./include
DEFINES  = $(BOOL_DEFINITION) $(EXPLICIT)
CPPFLAGS = $(INCLUDES) $(DEFINES)
CXXFLAGS = $(CPPFLAGS) $(DEBUG)

.SUFFIXES : .y .C .o

.C.o:
	$(CXX) -c $(CXXFLAGS) $*.C

# -----------------------------------------------------------------------------

default: all

all: libstd.a

OBJS = string.o rb_tree.o vector_base.o

libstd.a: $(OBJS)
	$(AR) rv $@ $?

# -----------------------------------------------------------------------------

clean :
	rm -f $(OBJS)

clobber : clean
	rm -f libstd.a

depend :
	@>Dependencies
	makedepend -f Dependencies $(CPPFLAGS) $(MAKEDEPEND_INCLUDES) *.C
	@rm -f Dependencies.bak

include Dependencies

